package conf

import beego "github.com/beego/beego/v2/server/web"

var Page_size = 10
var NatsServer_Url, _ = beego.AppConfig.String("NatsServer_Url")
var RunMode, _ = beego.AppConfig.String("RunMode")

// Mysql
var MysqlServer_UrlPort, _ = beego.AppConfig.String("MysqlServer_UrlPort")
var MysqlServer_Database, _ = beego.AppConfig.String("MysqlServer_Database")
var MysqlServer_Username, _ = beego.AppConfig.String("MysqlServer_Username")
var MysqlServer_Password, _ = beego.AppConfig.String("MysqlServer_Password")
var MysqlServer_MaxIdleConnections, _ = beego.AppConfig.Int("MysqlServer_MaxIdleConnections")
var MysqlServer_MaxOpenConnections, _ = beego.AppConfig.Int("MysqlServer_MaxOpenConnections")

// Redis
var Redis_address, _ = beego.AppConfig.String("Redis_address")
var Redis_password, _ = beego.AppConfig.String("Redis_password")
var Redis_dbNum, _ = beego.AppConfig.String("Redis_dbNum")

var FilterExcludeURL, _ = beego.AppConfig.String("FilterExcludeURL")
var FilterOnlyLoginCheckURL, _ = beego.AppConfig.String("FilterOnlyLoginCheckURL")

// Qiniu
var Qiniu_AccessKey, _ = beego.AppConfig.String("Qiniu_AccessKey")
var Qiniu_SecretKey, _ = beego.AppConfig.String("Qiniu_SecretKey")
var Qiniu_BUCKET, _ = beego.AppConfig.String("Qiniu_BUCKET")
var OssQiniu, _ = beego.AppConfig.String("OssQiniu")

// 消息通知前端页面跳转url
var ContractApprovalUrl, _ = beego.AppConfig.String("ContractApprovalUrl")
var VerifyContractUrl, _ = beego.AppConfig.String("VerifyContractUrl")

var SUBMAIL_Sms_Appid, _ = beego.AppConfig.String("SUBMAIL_Sms_Appid")
var SUBMAIL_Sms_Signature, _ = beego.AppConfig.String("SUBMAIL_Sms_Signature")
var SUBMAIL_Voice_Appid, _ = beego.AppConfig.String("SUBMAIL_Voice_Appid")
var SUBMAIL_Voice_Signature, _ = beego.AppConfig.String("SUBMAIL_Voice_Signature")
var SUBMAIL_Sms_Fee, _ = beego.AppConfig.Float("SUBMAIL_Sms_Fee")
var Voice_Project, _ = beego.AppConfig.String("Voice_Project")

var VoiceCall_BaseUrl, _ = beego.AppConfig.String("VoiceCall_BaseUrl")
var VoiceCall_AppKey, _ = beego.AppConfig.String("VoiceCall_AppKey")
var VoiceCall_AppSecret, _ = beego.AppConfig.String("VoiceCall_AppSecret")
var VoiceCall_Template, _ = beego.AppConfig.String("VoiceCall_Template")
var VoiceCall_Phone, _ = beego.AppConfig.String("VoiceCall_Phone")
var VoiceCall_Fee, _ = beego.AppConfig.Float("VoiceCall_Fee")
var VoiceCall_Satisfaction_Template1, _ = beego.AppConfig.String("VoiceCall_Satisfaction_Template1")
var VoiceCall_Satisfaction_Template2, _ = beego.AppConfig.String("VoiceCall_Satisfaction_Template2")
var VoiceCall_Satisfaction_Template3, _ = beego.AppConfig.String("VoiceCall_Satisfaction_Template3")
var VoiceCall_Satisfaction_Template4, _ = beego.AppConfig.String("VoiceCall_Satisfaction_Template4")
var VoiceCall_Satisfaction_Template5, _ = beego.AppConfig.String("VoiceCall_Satisfaction_Template5")

var Weixin_PwdKey, _ = beego.AppConfig.String("Weixin_PwdKey")
var Weixin_Notify, _ = beego.AppConfig.String("Weixin_Notify")
